{
  "name": "report-generation",
  "main": "dist/index.js",
  "files": [
    "dist"
  ],
  "scripts": {
    "build": "yarn clean && tsc -b tsconfig.build.json",
    "clean": "rimraf dist",
    "commit": "cz",
    "dev": "ts-node-dev --respawn --project tsconfig.json --watch ./volumes/config.json ./src/bootstrap.ts",
    "health-check": "node ./dist/healthCheck.js",
    "lint": "eslint '{src,test}/**/*.ts'",
    "lint:src": "eslint 'src/**/*.ts'",
    "lint:test": "eslint 'test/**/*.ts'",
    "start": "node ./dist/bootstrap.js",
    "test": "nyc mocha",
    "test:coverage": "nyc --reporter cobertura mocha"
  },
  "config": {
    "commitizen": {
      "path": "cz-emoji"
    }
  },
  "dependencies": {
    "@jig-software/logger": "^1.1.0",
    "@jig-software/logger-winston": "^1.0.0",
    "@jig-software/sdk": "^7.0.0",
    "@jig-software/trest-client": "^3.0.0",
    "@jig-software/trest-core": "^3.0.0",
    "@jig-software/zod-bson": "^2.0.0",
    "@koa/router": "^15.2.0",
    "bson": "^7.0.0",
    "debug": "^4.4.3",
    "eventemitter3": "^5.0.1",
    "exceljs": "^4.4.0",
    "koa": "^3.1.1",
    "koa-body": "^7.0.1",
    "mongodb": "^7.0.0",
    "reflect-metadata": "^0.2.2",
    "zod": "^4.3.5"
  },
  "devDependencies": {
    "@types/chai": "^4.3.11",
    "@types/debug": "^4.1.12",
    "@types/koa": "^3.0.1",
    "@types/koa__router": "^12.0.5",
    "@types/mocha": "^10.0.10",
    "@types/node": "^25.0.3",
    "@typescript-eslint/eslint-plugin": "^8.52.0",
    "@typescript-eslint/parser": "^8.52.0",
    "chai": "^4.3.10",
    "commitizen": "^4.3.1",
    "cz-emoji": "^1.3.2-canary.2",
    "eslint": "8",
    "eslint-config-prettier": "^10.1.8",
    "eslint-import-resolver-typescript": "^4.4.4",
    "eslint-plugin-import": "^2.32.0",
    "mocha": "^11.7.5",
    "nyc": "^17.1.0",
    "prettier": "^3.7.4",
    "rimraf": "^6.1.2",
    "ts-node": "^10.9.2",
    "ts-node-dev": "^2.0.0",
    "typescript": "^5.9.3"
  },
  "packageManager": "yarn@4.12.0"
}
